Your message dated Wed, 7 Mar 2018 08:08:46 +0100
with message-id <dea644ce-c2a0-19fd-5fe5-10388669d...@physik.fu-berlin.de>
and subject line Re: Bug#890285: doxygen: Please drop LLVM build-dependency on 
powerpcspe
has caused the Debian Bug report #890285,
regarding doxygen: Please drop LLVM build-dependency on powerpcspe
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
890285: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890285
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: doxygen
Version: 1.8.13-9
Severity: normal
Tags: patch
User: debian-powe...@lists.debian.org
Usertags: powerpcspe

Hi!

Since LLVM currently doesn't build on powerpcspe, we should drop
it as a build dependency from doxygen the architecture.

Thus:

diff -Nru old/doxygen-1.8.13/debian/control new/doxygen-1.8.13/debian/control
--- old/doxygen-1.8.13/debian/control   2017-08-31 13:36:21.000000000 +0200
+++ new/doxygen-1.8.13/debian/control   2018-02-12 23:18:32.403346518 +0100
@@ -12,8 +12,8 @@
   cmake,
   yui-compressor,
   ruby-compass,
-  llvm-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc powerpcspe ppc64 ppc64el s390x sparc64],
-  libclang-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc powerpcspe ppc64 ppc64el s390x sparc64]
+  llvm-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc ppc64 ppc64el s390x sparc64],
+  libclang-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc ppc64 ppc64el s390x sparc64]
 Build-Depends-Indep: texlive-fonts-recommended,
   texlive-generic-recommended,
   texlive-latex-extra,

Thanks,
Adrian

--
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaub...@debian.org
`. `'   Freie Universitaet Berlin - glaub...@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913
diff -Nru old/doxygen-1.8.13/debian/control new/doxygen-1.8.13/debian/control
--- old/doxygen-1.8.13/debian/control   2017-08-31 13:36:21.000000000 +0200
+++ new/doxygen-1.8.13/debian/control   2018-02-12 23:18:32.403346518 +0100
@@ -12,8 +12,8 @@
   cmake,
   yui-compressor,
   ruby-compass,
-  llvm-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc powerpcspe ppc64 ppc64el s390x sparc64],
-  libclang-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc powerpcspe ppc64 ppc64el s390x sparc64]
+  llvm-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc ppc64 ppc64el s390x sparc64],
+  libclang-5.0-dev [alpha amd64 armel armhf arm64 i386 mips mipsel mips64el 
powerpc ppc64 ppc64el s390x sparc64]
 Build-Depends-Indep: texlive-fonts-recommended,
   texlive-generic-recommended,
   texlive-latex-extra,

--- End Message ---
--- Begin Message ---
On 02/12/2018 11:19 PM, John Paul Adrian Glaubitz wrote:
> Since LLVM currently doesn't build on powerpcspe, we should drop
> it as a build dependency from doxygen the architecture.

llvm-toolchain-4/5/6 now builds on powerpcspe as we've started to work
on the issues with the package on powerpcspe in order to get rustc
working.

This bug report can therefore be closed.

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaub...@debian.org
`. `'   Freie Universitaet Berlin - glaub...@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913

--- End Message ---

Reply via email to